import { http } from '@/utils/http';

/**
 * 根据单位code获取单位名称
 * @param 单位code
 * @returns 单位名称
 */
export function queryDepByOrgCodeApi(code : string) {
	return http({
		url: '/sys/sysDepart/queryDepNameByDepCode',
		method: 'GET',
		data: {
			code
		}
	});
}

/**
 * 查询当前用户的所有部门/当前部门编码
 * @returns 单位编码
 */
export function queryDepsByUserIdApi() {
	return http({
		url: '/sys/user/getCurrentUserDeparts',
		method: 'GET',
	});
}